Skip to main content
GET
/
scores
/
snapshot
/
{fixtureId}
Get snapshots for each action in the latest score events for a fixture
curl --request GET \
  --url https://api.example.com/scores/snapshot/{fixtureId}
{
  "fixtureId": {},
  "gameState": "<string>",
  "startTime": {},
  "isTeam": true,
  "fixtureGroupId": {},
  "competitionId": {},
  "countryId": {},
  "sportId": {},
  "participant1IsHome": true,
  "participant2Id": {},
  "participant1Id": {},
  "action": "<string>",
  "id": {},
  "ts": {},
  "connectionId": {},
  "seq": {},
  "stats": {}
}

Documentation Index

Fetch the complete documentation index at: https://txline-docs.txodds.com/llms.txt

Use this file to discover all available pages before exploring further.

Get snapshots for each action in the latest score events for a fixture.

Path Parameters

fixtureId
int64
required
The ID of the fixture

Query Parameters

asOf
int64
Optional Unix timestamp (ms) for the latest time the historical snapshots are returned for. If omitted, returns the live snapshot.

Response

Returns an array of Scores objects containing score event data.
fixtureId
int32
required
Fixture identifier
gameState
string
required
Current state of the game
startTime
int64
required
Fixture start time timestamp
isTeam
boolean
required
Indicates if this is a team event
fixtureGroupId
int32
required
Fixture group identifier
competitionId
int32
required
Competition identifier
countryId
int32
required
Country identifier
sportId
int32
required
Sport identifier
participant1IsHome
boolean
required
Indicates if participant 1 is the home team
participant2Id
int32
required
Second participant identifier
participant1Id
int32
required
First participant identifier
action
string
required
Action type for this score event
id
int32
required
Event identifier
ts
int64
required
Timestamp of the score event
connectionId
int64
required
Connection identifier
seq
int32
required
Sequence number of the score event
stats
object
Map of statistical keys to their values
[
  {
    "fixtureId": 1001,
    "gameState": "Q1",
    "startTime": 1704153600000,
    "isTeam": false,
    "fixtureGroupId": 456,
    "competitionId": 123,
    "countryId": 1,
    "sportId": 2,
    "participant1IsHome": true,
    "participant2Id": 790,
    "participant1Id": 789,
    "action": "score",
    "id": 1,
    "ts": 1704154200000,
    "connectionId": 100,
    "seq": 1,
    "stats": {
      "1": 7,
      "2": 0
    }
  }
]